Bug Hunting Session
Bug 53230 - FILEOPEN particular .ods from LibO 3.0.0 shows all form fields at wrong horizontal position
Summary: FILEOPEN particular .ods from LibO 3.0.0 shows all form fields at wrong horiz...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium major
Assignee: Noel Power
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-08-08 05:49 UTC by Rainer Bielefeld Retired
Modified: 2013-12-12 15:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit (34.77 KB, application/x-7z-compressed)
2012-08-08 05:49 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-08-08 05:49:23 UTC
Created attachment 65262 [details]
Test Kit

This is a spin off from "Bug 53229 - FILEOPEN particular .ods from LibO 3.0.0 shows grouped form fields at wrong horizontal position"

Until 3.6 only grouped objects were shown at wrong position, in 3.7.also single objects are affected.

Steps how to reproduce  with parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 66e4540]" (tinderbox:Win-x86@6, pull time 2012-07-26 02:09:47):

1. Open "SimpleSample330.ods" created with 3.3.0
2. compare position of checkboxes in the document with view in 3.3.0 
   (see "SimpleSample330.pdf")
   Expected: horizontal position for "SingleCheckbox" and "Markierfeld" group
             should be left end of column "H", or at least only grouped
             boxes wrongly in Column G
   Actual: Group shifted to the left, Starts in column W
           Single box now in Column A

Complared to 3.6.0.4 group is even more shifted to the left, single cell now at the left end of sheet.

That was still ok with 3.3.0


@Ryszard:
Can you confirm this problem?
Comment 1 Noel Power 2012-08-13 16:47:26 UTC
taking this ( for now ) will try to get to the bottom of it
Comment 2 Noel Power 2012-08-15 11:53:13 UTC
while looking where to put the fix I see that kohei already fixed this yesterday

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4606ca07de17c930b658206a19446516cf0d4eb7

btw, this isn't related to bug 53229 ( I have a fix for that too )